<?php



$url = $_GET["url"];



if (substr($url, 0, 20) == "https://www.blobs.lt") {



    $buffer = file_get_contents($url);

    $finfo = new finfo(FILEINFO_MIME_TYPE);

	$mime = $finfo->buffer($buffer);



	header("Content-Type: {$mime}");

	header("Content-Disposition: attachment; filename=" . basename($url));

	echo $buffer;

}





